<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminItems.class.php');
require_once(__DIR__ . '/classes/AdminUsers.class.php');

template:
{
	AdminItems::tplSection('item_edit');
}

update:
{
	Admin::displayOptions('album');

	AdminItems::change();

	AdminItems::edit();
}

get_data:
{
	AdminItems::getInfos();

	$file = CONF_ALBUMS_PATH . '/' . AdminItems::$infos['item_path'];
	Template::set('file_missing', !file_exists($file));

	AdminAlbums::getCategoriesLists();

	AdminAlbums::getTagsList();

	AdminUsers::getUsersList();

	AdminItems::getBrowseItems();
}
?>